Bug 1265321 - Review Request: nodejs-gettext-parser - Parse and compile gettext po and mo files to/from json
Review Request: nodejs-gettext-parser - Parse and compile gettext po and mo f...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
:
Depends On: 1265322
Blocks: nodejs-reviews
  Show dependency treegraph
 
Reported: 2015-09-22 12:30 EDT by Parag Nemade
Modified: 2015-10-31 22:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-31 22:45:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tom: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2015-09-22 12:30:28 EDT
Spec URL: http://pnemade.fedorapeople.org/fedora-work/nodejs-gettext-parser.spec
SRPM URL: http://pnemade.fedorapeople.org/fedora-work/nodejs-gettext-parser-1.1.1-1.fc23.src.rpm

Description:
Parse and compile gettext po and mo files with node.js.

This module is slightly based on module node-gettext. The plan is to move all
parsing and compiling logic from node-gettext to here and leave only
translation related functions (domains, plural handling, lookups etc.) there.
Comment 1 Parag Nemade 2015-09-22 12:30:32 EDT
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=11181089
Comment 2 Tom Hughes 2015-10-06 16:57:07 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 12 files have unknown license. Detailed
     output of licensecheck in /home/tom/1265321-nodejs-gettext-
     parser/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-gettext-parser-1.1.1-1.fc24.noarch.rpm
          nodejs-gettext-parser-1.1.1-1.fc24.src.rpm
nodejs-gettext-parser.noarch: W: spelling-error Summary(en_US) po -> PO, pew, op
nodejs-gettext-parser.noarch: W: spelling-error Summary(en_US) json -> son, j son
nodejs-gettext-parser.noarch: W: spelling-error %description -l en_US po -> PO, pew, op
nodejs-gettext-parser.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-gettext-parser.noarch: W: spelling-error %description -l en_US lookups -> lookup, lockups, hookups
nodejs-gettext-parser.noarch: W: only-non-binary-in-usr-lib
nodejs-gettext-parser.noarch: W: dangling-symlink /usr/lib/node_modules/gettext-parser/node_modules/encoding /usr/lib/node_modules/encoding
nodejs-gettext-parser.src: W: spelling-error Summary(en_US) po -> PO, pew, op
nodejs-gettext-parser.src: W: spelling-error Summary(en_US) json -> son, j son
nodejs-gettext-parser.src: W: spelling-error %description -l en_US po -> PO, pew, op
nodejs-gettext-parser.src: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-gettext-parser.src: W: spelling-error %description -l en_US lookups -> lookup, lockups, hookups
2 packages and 0 specfiles checked; 0 errors, 12 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-gettext-parser.noarch: W: only-non-binary-in-usr-lib
nodejs-gettext-parser.noarch: W: dangling-symlink /usr/lib/node_modules/gettext-parser/node_modules/encoding /usr/lib/node_modules/encoding
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
nodejs-gettext-parser (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(encoding)



Provides
--------
nodejs-gettext-parser:
    nodejs-gettext-parser
    npm(gettext-parser)



Source checksums
----------------
https://github.com/andris9/gettext-parser/archive/v1.1.1.tar.gz#/gettext-parser-1.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : 388cff3d74b2db1ef63e8758bc8779968a1d8c3aed4dbc861e7c0ae84f3e19d1
  CHECKSUM(SHA256) upstream package : 388cff3d74b2db1ef63e8758bc8779968a1d8c3aed4dbc861e7c0ae84f3e19d1


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1265321
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Tom Hughes 2015-10-06 17:00:50 EDT
You don't actually need grunt-mocha or grunt-jshint to run the test, you just need to run mocha directly with:

  mocha -R spec test/*-test.js

which is all the Gruntfile is going to do anyway.

I'm seeing two failures though:

  1) MO Compiler UTF-8 should compile:
      AssertionError: expected { Object (0, 1, ...) } to deeply equal { Object (0, 1, ...) }
      + expected - actual
         "20": 0,
         "21": 0,
         "22": 0,
         "23": 0,
      +  "24": 76,
      -  "24": 124,
         "25": 0,
         "26": 0,
         "27": 0,
         "28": 0,
         "688": 197,
         "689": 161,
         "690": 0,
         "length": 691,
      +  "offset": 5504,
      -  "offset": 6808,
         "parent": {
           "0": 39,
           "1": 117,
           "2": 115,
      
      at Assertion.assertEql (/usr/lib/node_modules/chai/lib/chai/core/assertions.js:489:10)
      at Assertion.ctx.(anonymous function) [as eql] (/usr/lib/node_modules/chai/lib/chai/utils/addMethod.js:40:25)
      at Assertion.assertEqual (/usr/lib/node_modules/chai/lib/chai/core/assertions.js:455:19)
      at Assertion.ctx.(anonymous function) [as equal] (/usr/lib/node_modules/chai/lib/chai/utils/addMethod.js:40:25)
      at Context.<anonymous> (/builddir/build/BUILD/gettext-parser-1.1.1/test/mo-compiler-test.js:18:38)
      at callFn (/usr/lib/node_modules/mocha/lib/runnable.js:223:21)
      at Test.Runnable.run (/usr/lib/node_modules/mocha/lib/runnable.js:216:7)
      at Runner.runTest (/usr/lib/node_modules/mocha/lib/runner.js:374:10)
      at /usr/lib/node_modules/mocha/lib/runner.js:452:12
      at next (/usr/lib/node_modules/mocha/lib/runner.js:299:14)
      at /usr/lib/node_modules/mocha/lib/runner.js:309:7
      at next (/usr/lib/node_modules/mocha/lib/runner.js:247:23)
      at Object._onImmediate (/usr/lib/node_modules/mocha/lib/runner.js:276:5)
      at processImmediate [as _immediateCallback] (timers.js:354:15)

  2) MO Compiler Latin-13 should compile:
      AssertionError: expected { Object (0, 1, ...) } to deeply equal { Object (0, 1, ...) }
      + expected - actual
         "20": 0,
         "21": 0,
         "22": 0,
         "23": 0,
      +  "24": 76,
      -  "24": 124,
         "25": 0,
         "26": 0,
         "27": 0,
         "28": 0,
         "694": 254,
         "695": 240,
         "696": 0,
         "length": 697,
      +  "offset": 2408,
      -  "offset": 4544,
         "parent": {
           "0": 123,
           "1": 10,
           "2": 32,
      
      at Assertion.assertEql (/usr/lib/node_modules/chai/lib/chai/core/assertions.js:489:10)
      at Assertion.ctx.(anonymous function) [as eql] (/usr/lib/node_modules/chai/lib/chai/utils/addMethod.js:40:25)
      at Assertion.assertEqual (/usr/lib/node_modules/chai/lib/chai/core/assertions.js:455:19)
      at Assertion.ctx.(anonymous function) [as equal] (/usr/lib/node_modules/chai/lib/chai/utils/addMethod.js:40:25)
      at Context.<anonymous> (/builddir/build/BUILD/gettext-parser-1.1.1/test/mo-compiler-test.js:27:38)
      at callFn (/usr/lib/node_modules/mocha/lib/runnable.js:223:21)
      at Test.Runnable.run (/usr/lib/node_modules/mocha/lib/runnable.js:216:7)
      at Runner.runTest (/usr/lib/node_modules/mocha/lib/runner.js:374:10)
      at /usr/lib/node_modules/mocha/lib/runner.js:452:12
      at next (/usr/lib/node_modules/mocha/lib/runner.js:299:14)
      at /usr/lib/node_modules/mocha/lib/runner.js:309:7
      at next (/usr/lib/node_modules/mocha/lib/runner.js:247:23)
      at Object._onImmediate (/usr/lib/node_modules/mocha/lib/runner.js:276:5)
      at processImmediate [as _immediateCallback] (timers.js:354:15)
Comment 4 Upstream Release Monitoring 2015-10-07 03:01:42 EDT
pnemade's scratch build of nodejs-gettext-parser-1.1.2-1.fc23.src.rpm for f24 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11355189
Comment 5 Upstream Release Monitoring 2015-10-07 03:11:54 EDT
pnemade's scratch build of nodejs-gettext-parser-1.1.2-1.fc23.src.rpm for f24 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11355232
Comment 6 Upstream Release Monitoring 2015-10-07 03:20:07 EDT
pnemade's scratch build of nodejs-gettext-parser-1.1.2-1.fc23.src.rpm for f24 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11355248
Comment 7 Parag Nemade 2015-10-07 03:21:35 EDT
Fixed in new upstream release
Spec URL: http://pnemade.fedorapeople.org/fedora-work/nodejs-gettext-parser.spec
SRPM URL: http://pnemade.fedorapeople.org/fedora-work/nodejs-gettext-parser-1.1.2-1.fc23.src.rpm

and sorry for above koji comments, I was not aware that every attempt of scratch build is now recorded in its review bugzilla.
Comment 8 Tom Hughes 2015-10-07 03:24:58 EDT
Looks like you haven't actually uploaded the new version?
Comment 9 Parag Nemade 2015-10-07 03:29:34 EDT
ah right, done now.
Comment 10 Tom Hughes 2015-10-07 03:43:01 EDT
That looks fine now. Package approved.
Comment 11 Parag Nemade 2015-10-07 03:58:08 EDT
Thank you Tom for this package review.

New Package SCM Request
=======================
Package Name: nodejs-gettext-parser
Short Description: Parse and compile gettext po and mo files to/from json
Upstream URL: https://github.com/andris9/gettext-parser
Owners: pnemade
Branches: f23
InitialCC:
Comment 12 Gwyn Ciesla 2015-10-07 08:10:22 EDT
This SCM request method has been deprecated. Please see https://fedoraproject.org/wiki/PackageDB_admin_requests.
Comment 13 Tom Hughes 2015-10-07 08:16:39 EDT
Shouldn't that have been announced somewhere?
Comment 14 Fedora Update System 2015-10-08 03:56:13 EDT
nodejs-gettext-parser-1.1.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-160cd9db11
Comment 15 Fedora Update System 2015-10-09 09:56:27 EDT
nodejs-gettext-parser-1.1.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-gettext-parser'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-160cd9db11
Comment 16 Fedora Update System 2015-10-31 22:45:21 EDT
nodejs-gettext-parser-1.1.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.